-----------------------------------------------------------------------------------------------
-- Client Lua Script for AutoReload
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"
 
-----------------------------------------------------------------------------------------------
-- AutoReload Module Definition
-----------------------------------------------------------------------------------------------
local AutoReload = {} 
 
-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999

Minutes = 60 -- Edit this to change how long it between UI refreshes
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function AutoReload:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function AutoReload:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- AutoReload OnLoad
-----------------------------------------------------------------------------------------------
function AutoReload:OnLoad()
    -- load our form file
	self.xmlDoc = XmlDoc.CreateFromFile("AutoReload.xml")
	self.xmlDoc:RegisterCallback("OnDocLoaded", self)
end

-----------------------------------------------------------------------------------------------
-- AutoReload OnDocLoaded
-----------------------------------------------------------------------------------------------
function AutoReload:OnDocLoaded()

	if self.xmlDoc ~= nil and self.xmlDoc:IsLoaded() then
	    self.wndMain = Apollo.LoadForm(self.xmlDoc, "AutoReloadForm", nil, self)
		if self.wndMain == nil then
			Apollo.AddAddonErrorText(self, "Could not load the main window for some reason.")
			return
		end
		
	    self.wndMain:Show(false, true)

		-- if the xmlDoc is no longer needed, you should set it to nil
		-- self.xmlDoc = nil
		
		-- Register handlers for events, slash commands and timer, etc.
		-- e.g. Apollo.RegisterEventHandler("KeyDown", "OnKeyDown", self)

		self.timer = ApolloTimer.Create((Minutes * 60), true, "OnTimer", self)

		-- Do additional Addon initialization here
	end
end

-----------------------------------------------------------------------------------------------
-- AutoReload Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here

-- on timer
function AutoReload:OnTimer()
self.combatTimer = nil
if(GameLib.GetPlayerUnit():IsInCombat() == false) then
ChatSystemLib.Command("/reloadui")
else
self.combatTimer = ApolloTimer.Create(10, true, "OnTimer", self)
end
end


-----------------------------------------------------------------------------------------------
-- AutoReloadForm Functions
-----------------------------------------------------------------------------------------------
-- when the OK button is clicked
function AutoReload:OnOK()
	self.wndMain:Close() -- hide the window
end

-- when the Cancel button is clicked
function AutoReload:OnCancel()
	self.wndMain:Close() -- hide the window
end


-----------------------------------------------------------------------------------------------
-- AutoReload Instance
-----------------------------------------------------------------------------------------------
local AutoReloadInst = AutoReload:new()
AutoReloadInst:Init()
